{ ... }: {
  flake.nixosModules.desktopPlasma =
    { config, lib, pkgs, ... }:
    let
      cfg = config.chiasson.desktop;
    in
    {
      config = lib.mkIf cfg.plasma.enable {
        services.desktopManager.plasma6.enable = true;
        environment.etc."xdg/menus/applications.menu".text =
          builtins.readFile "${pkgs.kdePackages.plasma-workspace}/etc/xdg/menus/plasma-applications.menu";
      };
    };
}
